> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Task Labels

> List the labels available on tasks.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/task-labels
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/task-labels:
    get:
      tags:
        - Tasks
      summary: List Task Labels
      description: List the labels available on tasks.
      operationId: list_task_labels
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskLabelListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    TaskLabelListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/TaskLabelOut'
          title: Data
          type: array
      required:
        - data
      title: TaskLabelListOut
      type: object
    TaskLabelOut:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          title: Color
          type: string
      required:
        - id
        - name
        - color
      title: TaskLabelOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.